import { iTrfFtString, TrfFtString } from '../../../../../../../../../../../../../../../../../../../trf-ft-string';
/**
* Structure contains information on a certificate validity.
*/
export interface iRfidValidity {
    /**
    * String of the start date.
    * Format can be YYMMDDHHMMSSZ (in the case of using UTCTime format)
    * or YYYYMMDDHHMMSSZ (in the case of GeneralizedTime format).
    * @type {iTrfFtString}
    */
    NotBefore: iTrfFtString;
    /**
    * String of the expiration date.
    * Format can be YYMMDDHHMMSSZ (in the case of using UTCTime format)
    * or YYYYMMDDHHMMSSZ (in the case of GeneralizedTime format).
    * @type {iTrfFtString}
    */
    NotAfter: iTrfFtString;
}
/**
* Structure contains information on a certificate validity.
*/
export declare class RfidValidity implements iRfidValidity {
    /**
    * String of the start date.
    * Format can be YYMMDDHHMMSSZ (in the case of using UTCTime format)
    * or YYYYMMDDHHMMSSZ (in the case of GeneralizedTime format).
    * @type {TrfFtString}
    */
    NotBefore: TrfFtString;
    /**
    * String of the expiration date.
    * Format can be YYMMDDHHMMSSZ (in the case of using UTCTime format)
    * or YYYYMMDDHHMMSSZ (in the case of GeneralizedTime format).
    * @type {TrfFtString}
    */
    NotAfter: TrfFtString;
}
